decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## module_option()

def fhs.module_option | ( |  | modulename,
|  |  | name,
|  |  | help,
|  |  | short = `None`,
|  |  | multiple = `False`,
|  |  | optional = `False`,
|  |  | default = `None`,
|  |  | noarg = `None`,
|  |  | argtype = `None`,
|  |  | options = `None`,
|  |  | option_order = `None`
| ) |  |

Register a commandline option for a module.

This is identical to option(), except it adds the option with the module's name as a prefix and can be retrieved through module_get_config().

Parameters

  modulename | Name of the module. Other options and return value are identical to those of option().

Definition at line 740 of file fhs.py.

Here is the call graph for this function:
Here is the caller graph for this function: